Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.jini.constraint
Class ConstraintTrustVerifier

    java.lang.Object
      net.jini.constraint.ConstraintTrustVerifier

All Implemented Interfaces:
  TrustVerifier

public class ConstraintTrustVerifier
extends Object
implements TrustVerifier

Trust verifier for instances of the constraint classes defined in the `net.jini.core.constraint` package, and for the `BasicMethodConstraints`, `X500Principal` and `KerberosPrincipal` classes. This class is intended to be specified in a resource to configure the operation of `Security.verifyObjectTrust`.

Since:
  2.0

Nested Class Summary

Nested classes inherited from class net.jini.security.TrustVerifier
`TrustVerifier.Context`

Constructor Summary
`ConstraintTrustVerifier()` Creates an instance.

Method Summary
`boolean` | `isTrustedObject(Object obj, TrustVerifier.Context ctx)` Returns `true` if the specified object is known to be trusted to correctly implement its contract; returns `false` otherwise.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConstraintTrustVerifier

    public ConstraintTrustVerifier()

  Creates an instance.

Method Detail

### isTrustedObject

    public boolean isTrustedObject(Object obj,
                                   TrustVerifier.Context ctx)
                            throws RemoteException

  Returns `true` if the specified object is known to be trusted to correctly implement its contract; returns `false` otherwise. Returns `true` if any of the following conditions holds, and returns `false` otherwise:
  - The object is an instance of any of the following classes:
    - `ClientAuthentication`
    - `ClientMaxPrincipalType`
    - `ClientMinPrincipalType`
    - `Confidentiality`
    - `DelegationAbsoluteTime`
    - `DelegationRelativeTime`
    - `Delegation`
    - `Integrity`
    - `ServerAuthentication`
  - The object is an instance of any of the following classes:
    - `ClientMinPrincipal`
    - `ClientMaxPrincipal`
    - `ServerMinPrincipal`
    and all of the principals in that object are trusted (determined by calling the `isTrustedObject` method on the specified context with each principal)
  - The object is an instance of `ConstraintAlternatives` and all of the constraint alternatives in that object are trusted (determined by calling the `isTrustedObject` method on the specified context with each constraint alternative)
  - The object is an instance of `BasicMethodConstraints` and all the `InvocationConstraints` instances in that object are trusted (determined by calling the `isTrustedObject` method on the specified context with each instance)
  - The object is an instance of `InvocationConstraints` and all of the constraints (both requirements and preferences) in that object are trusted (determined by calling the `isTrustedObject` method on the specified context with each constraint)
  - The object is an instance of `X500Principal` or `KerberosPrincipal`

  Specified by:
    `isTrustedObject` in interface `TrustVerifier`
  Parameters:
    `obj` - the object in which to verify trust
    `ctx` - the trust verifier context, to aid in verification of the specified object and its components
  Returns:
    `true` if the specified object is known to be trusted to correctly implement its contract; `false` otherwise
  Throws:
    `NullPointerException` - if any argument is `null`
    `RemoteException` - if a communication-related exception occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved